Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class AddUserToGroupTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
                  |
                  +--com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
                        |
                        +--com.bea.p13n.usermgmt.servlets.jsp.taglib.AddUserToGroupTag

public class AddUserToGroupTag
extends ResultTag

Corresponds to `<um:addUserToGroup>`.

The `<um:addUserToGroup>` tag adds the user corresponding to the provided `username` to the group corresponding to the provided `parentGroupName`. Both the specified user and the specified group must previously exist for proper tag behavior. The tag has no enclosed body.

Note: This tag should only be invoked when the `weblogic.security.realmClass` property in the `weblogic.properties` file is `com.beasys.commerce.axiom.contact.security.RDBMSRealm`.

Tag Attribute | Required | Type | Description
username | yes | String | The name of the user to be added to the group. Example: "`<%=username%>`"
groupName | yes | String | The name of the group to which the user is being added. Example: "`<%=groupName%>`"
result | yes | String | The name of an Integer variable to which the result of the add user to group operation is assigned. Possible values: Success: `UserManagerTagConstants.ADD_USER_OK` Error Encountered: `UserManagerTagConstants.ADD_USER_FAILED`

See Also:
  Serialized Form

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
`result`

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`GROUP_MGR_REF, USER_MGR_REF`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`AddUserToGroupTag()`

Method Summary
`int` | `doStartTag()` Adds the specified user to the specified group through the UserManager session bean.
`java.lang.String` | `getGroupName()` Get the name of the group to add the user to
`java.lang.String` | `getUsername()` Get the name of the user to add to the group
`void` | `release()` Reset all the tag attributes
`void` | `setGroupName(java.lang.String groupName)` Set the name of the group to add the user to
`void` | `setUsername(java.lang.String username)` Set the name of the user to add to the group

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.ResultTag
`getResult, setResult`

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`getGroupManager, getUserManager`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddUserToGroupTag

    public AddUserToGroupTag()

Method Detail

### doStartTag

    public int doStartTag()

  Adds the specified user to the specified group through the UserManager session bean.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### release

    public void release()

  Reset all the tag attributes

  Overrides:
    release in class ResultTag

### setUsername

    public void setUsername(java.lang.String username)

  Set the name of the user to add to the group

### getUsername

    public java.lang.String getUsername()

  Get the name of the user to add to the group

### setGroupName

    public void setGroupName(java.lang.String groupName)

  Set the name of the group to add the user to

### getGroupName

    public java.lang.String getGroupName()

  Get the name of the group to add the user to

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved